## org.jfree.chart.renderer.category
Class CategoryStepRenderer.State

    java.lang.Object
      org.jfree.chart.renderer.RendererState
          org.jfree.chart.renderer.category.CategoryItemRendererState
              org.jfree.chart.renderer.category.CategoryStepRenderer.State

Enclosing class:
  CategoryStepRenderer

    protected static class CategoryStepRenderer.State

extends CategoryItemRendererState

State information for the renderer.

Field Summary
`java.awt.geom.Line2D` `line` A working line for re-use to avoid creating large numbers of objects.

Constructor Summary
`CategoryStepRenderer.State(PlotRenderingInfo info)` Creates a new state instance.

Method Summary

Methods inherited from class org.jfree.chart.renderer.category.CategoryItemRendererState
`getBarWidth, getSeriesRunningTotal, setBarWidth`

Methods inherited from class org.jfree.chart.renderer.RendererState
`getEntityCollection, getInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### line

    public java.awt.geom.Line2D line

  A working line for re-use to avoid creating large numbers of objects.

Constructor Detail

### CategoryStepRenderer.State

    public CategoryStepRenderer.State(PlotRenderingInfo info)

  Creates a new state instance.

  Parameters:
    `info` - collects plot rendering information (`null` permitted).